package cn.superdesk.uniorder.dubbo.provider.order.old;

import cn.superdesk.uniorder.dao.entity.sys.SysOrder;
import cn.superdesk.uniorder.dubbo.facade.order.old.DubboSysOrderService;
import cn.superdesk.uniorder.service.order.old.SysOrderService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;


@Deprecated
@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboSysOrderServiceImpl implements DubboSysOrderService {

	@Autowired
	private SysOrderService sysOrderService;

	@Override
	public void addObj(SysOrder t) {

		sysOrderService.insertSelective(t);
	}

	@Override
	public List<SysOrder> findByOrderId(String orderId) {

		return sysOrderService.findByOrderId(orderId);
	}

	@Override
	public void updateObj(SysOrder t) {

		sysOrderService.updateByPrimaryKeySelective(t);
	}

	@Override
	public void kafkaUnifiedOrderSend(Map jsonMap, List goodsList) {

		sysOrderService.kafkaSendOrder(jsonMap, goodsList);

	}





}
